> ## Documentation Index
> Fetch the complete documentation index at: https://support.fortanix.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get details of all plugins accessible to the requester.

> Get details of all plugins accessible to the requester.

## OpenAPI

````json GET /sys/v1/plugins
{
  "openapi": "3.0.0",
  "info": {
    "title": "Fortanix DSM REST API",
    "description": "This is a set of REST APIs for accessing the Fortanix Data Security Manager. This includes APIs for managing accounts, and for performing cryptographic and key management operations. \n\n **Note:** \n- All binary input should be base64-encoded. These fields are marked with `format: byte`. \n- For forward compatibility, any API client is expected to ignore any fields in the response not explicitly mentioned in the documentation. We reserve the right to add new fields at any time to provide new functionality without affecting existing API clients.",
    "termsOfService": "https://www.fortanix.com/legal/terms/",
    "contact": {
      "name": "Fortanix Support",
      "url": "https://support.fortanix.com/",
      "email": "support@fortanix.com"
    },
    "license": {
      "name": "Apache 2.0",
      "url": "http://www.apache.org/licenses/LICENSE-2.0.html"
    },
    "version": "0.1.0-20260526"
  },
  "servers": [
    {
      "url": "https://amer.smartkey.io"
    }
  ],
  "paths": {
    "/sys/v1/plugins": {
      "get": {
        "operationId": "ListPlugins",
        "tags": [
          "Plugins"
        ],
        "security": [
          {
            "bearerToken": []
          },
          {
            "apiKeyAuth": []
          }
        ],
        "summary": "Get details of all plugins accessible to the requester.",
        "description": "Get details of all plugins accessible to the requester.",
        "parameters": [
          {
            "$ref": "#/components/parameters/ListPluginsParams"
          }
        ],
        "responses": {
          "2XX": {
            "description": "Success result",
            "content": {
              "application/json": {
                "schema": {
                  "type": "array",
                  "items": {
                    "$ref": "#/components/schemas/Plugin"
                  }
                }
              }
            }
          }
        }
      }
    }
  },
  "components": {
    "parameters": {
      "ListPluginsParams": {
        "in": "query",
        "name": "ListPluginsParams",
        "schema": {
          "$ref": "#/components/schemas/ListPluginsParams"
        },
        "explode": true
      }
    },
    "schemas": {
      "Plugin": {
        "allOf": [
          {
            "type": "object",
            "properties": {
              "acct_id": {
                "type": "string",
                "format": "uuid",
                "description": "The id of the Account that the plugin belongs to."
              },
              "created_at": {
                "type": "string",
                "pattern": "^\\d{4}\\d{2}\\d{2}T\\d{2}\\d{2}\\d{2}Z$",
                "example": "20170509T070912Z",
                "description": "Timestamp when the plugin was created."
              },
              "creator": {
                "$ref": "#/components/schemas/Principal"
              },
              "default_group": {
                "type": "string",
                "format": "uuid",
                "description": "The default group a plugin belongs to."
              },
              "description": {
                "type": "string",
                "nullable": true,
                "description": "Description of the plugin."
              },
              "enabled": {
                "type": "boolean",
                "description": "Is plugin enabled."
              },
              "lastrun_at": {
                "type": "string",
                "pattern": "^\\d{4}\\d{2}\\d{2}T\\d{2}\\d{2}\\d{2}Z$",
                "example": "20170509T070912Z",
                "description": "Timestamp when the plugin was most recently used."
              },
              "lastupdated_at": {
                "type": "string",
                "pattern": "^\\d{4}\\d{2}\\d{2}T\\d{2}\\d{2}\\d{2}Z$",
                "example": "20170509T070912Z",
                "description": "Timestamp when the plugin was most recently updated."
              },
              "legacy_access": {
                "type": "boolean",
                "description": "If a requester is updating/using a Plugin they must have the relevant\npermissions in all Groups that Plugin has access to. But for legacy Plugins,\nthe requester is required to have relevant permissions in any one of the groups\nthat Plugin has access to."
              },
              "name": {
                "type": "string",
                "maxLength": 4096,
                "pattern": "^[^\\n]*[^\\s\\n][^\\n]*$",
                "description": "Name of the plugin, which must be unique within an account."
              },
              "plugin_id": {
                "type": "string",
                "format": "uuid",
                "description": "Unique id to identify a plugin."
              },
              "plugin_type": {
                "$ref": "#/components/schemas/PluginType"
              },
              "source": {
                "$ref": "#/components/schemas/PluginSource"
              },
              "groups": {
                "type": "array",
                "uniqueItems": true,
                "items": {
                  "type": "string",
                  "format": "uuid"
                },
                "description": "Set of all the groups that plugin is part of."
              }
            },
            "required": [
              "acct_id",
              "created_at",
              "creator",
              "default_group",
              "enabled",
              "lastupdated_at",
              "legacy_access",
              "name",
              "plugin_id",
              "plugin_type",
              "source",
              "groups"
            ]
          }
        ]
      },
      "ListPluginsParams": {
        "allOf": [
          {
            "type": "object",
            "description": "Query parameters to get Plugins.",
            "properties": {
              "group_id": {
                "type": "string",
                "format": "uuid",
                "description": "Group for which the associated plugins should be retrieved."
              },
              "limit": {
                "type": "integer",
                "description": "Maximum number of entries to return."
              },
              "offset": {
                "type": "integer",
                "description": "Starting offset."
              }
            }
          },
          {
            "$ref": "#/components/schemas/PluginSort"
          }
        ]
      },
      "Principal": {
        "description": "A security principal.",
        "oneOf": [
          {
            "title": "PrincipalVariantApp",
            "type": "object",
            "properties": {
              "app": {
                "type": "string",
                "format": "uuid"
              }
            },
            "required": [
              "app"
            ]
          },
          {
            "title": "PrincipalVariantUser",
            "type": "object",
            "properties": {
              "user": {
                "type": "string",
                "format": "uuid"
              }
            },
            "required": [
              "user"
            ]
          },
          {
            "title": "PrincipalVariantPlugin",
            "type": "object",
            "properties": {
              "plugin": {
                "type": "string",
                "format": "uuid"
              }
            },
            "required": [
              "plugin"
            ]
          },
          {
            "title": "PrincipalVariantUserViaApp",
            "type": "object",
            "properties": {
              "userviaapp": {
                "$ref": "#/components/schemas/PrincipalUserViaApp"
              }
            },
            "required": [
              "userviaapp"
            ]
          },
          {
            "title": "PrincipalVariantSystem",
            "type": "string",
            "enum": [
              "system"
            ]
          },
          {
            "title": "PrincipalVariantUnregisteredUser",
            "type": "string",
            "enum": [
              "unregistereduser"
            ]
          }
        ]
      },
      "PluginType": {
        "description": "Type of a plugin.",
        "type": "string",
        "enum": [
          "STANDARD",
          "IMPERSONATING",
          "CUSTOMALGORITHM"
        ]
      },
      "PluginSource": {
        "description": "Plugin code that will be executed inside SGX enclave.",
        "oneOf": [
          {
            "$ref": "#/components/schemas/PluginSourceFromRepo"
          },
          {
            "$ref": "#/components/schemas/PluginSourceInline"
          }
        ]
      },
      "PluginSort": {
        "oneOf": [
          {
            "title": "PluginSortVariantByPluginId",
            "type": "object",
            "description": "Sort plugins by Plugin Id.",
            "properties": {
              "sort": {
                "type": "string",
                "pattern": "^plugin_id:(?:asc|desc)$",
                "example": "plugin_id:asc"
              },
              "start": {
                "type": "string",
                "format": "uuid",
                "description": "Starting offset(UUID of plugin)."
              }
            },
            "required": [
              "sort"
            ]
          }
        ]
      },
      "PrincipalUserViaApp": {
        "allOf": [
          {
            "type": "object",
            "description": "UserViaApp signifies a user authorizing some app to act on its behalf through OAuth.",
            "properties": {
              "user_id": {
                "type": "string",
                "format": "uuid"
              },
              "scopes": {
                "type": "array",
                "uniqueItems": true,
                "items": {
                  "$ref": "#/components/schemas/OauthScope"
                }
              }
            },
            "required": [
              "user_id",
              "scopes"
            ]
          }
        ]
      },
      "PluginSourceFromRepo": {
        "allOf": [
          {
            "type": "object",
            "properties": {
              "repo_url": {
                "type": "string"
              },
              "name": {
                "type": "string"
              },
              "version": {
                "$ref": "#/components/schemas/PluginVersion"
              },
              "language": {
                "$ref": "#/components/schemas/Language"
              },
              "code": {
                "type": "string"
              }
            },
            "required": [
              "repo_url",
              "name",
              "version",
              "language",
              "code"
            ]
          }
        ]
      },
      "PluginSourceInline": {
        "allOf": [
          {
            "type": "object",
            "properties": {
              "language": {
                "$ref": "#/components/schemas/Language"
              },
              "code": {
                "type": "string"
              }
            },
            "required": [
              "language",
              "code"
            ]
          }
        ]
      },
      "OauthScope": {
        "description": "OAuth scope.",
        "type": "string",
        "enum": [
          "app",
          "openid",
          "email",
          "profile"
        ]
      },
      "PluginVersion": {
        "type": "string",
        "pattern": "^\\d+.\\d+$"
      },
      "Language": {
        "description": "Language of plugin code.",
        "type": "string",
        "enum": [
          "LUA"
        ]
      }
    }
  }
}
````

